Package fr.gouv.vitam.common.model.unit

# Class ValidatorOrSignerModel

java.lang.Object
fr.gouv.vitam.common.model.unit.PersonOrEntityAndBusinessType
fr.gouv.vitam.common.model.unit.ValidatorOrSignerModel

public class ValidatorOrSignerModel extends PersonOrEntityAndBusinessType
Class representing a Signer or a Validator

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidatorOrSignerModel()`
  When updated : not forget to update XmlType.propOrder annotation to fix properties order This avoid duplicating properties declaration between this class and his superclass AgentTypeModel

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getSigningTime()`
  `String`
  `getValidationTime()`
  `void`
  `setSigningTime(String signingTime)`
  `void`
  `setValidationTime(String validationTime)`

  ### Methods inherited from class fr.gouv.vitam.common.model.unit.PersonOrEntityAndBusinessType

  `getActivity, getBirthDate, getBirthName, getBirthPlace, getCorpname, getDeathDate, getDeathPlace, getFirstName, getFullName, getFunction, getGender, getGivenName, getIdentifiers, getMandate, getNationalities, getPosition, getRole, setActivity, setBirthDate, setBirthName, setBirthPlace, setCorpname, setDeathDate, setDeathPlace, setFirstName, setFullName, setFunction, setGender, setGivenName, setIdentifiers, setMandate, setNationalities, setPosition, setRole`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidatorOrSignerModel

    public ValidatorOrSignerModel()
    When updated : not forget to update XmlType.propOrder annotation to fix properties order This avoid duplicating properties declaration between this class and his superclass AgentTypeModel

- ## Method Details

  - ### getSigningTime

    public String getSigningTime()

  - ### setSigningTime

    public void setSigningTime(String signingTime)

  - ### getValidationTime

    public String getValidationTime()

  - ### setValidationTime

    public void setValidationTime(String validationTime)